THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-39555

Junos OS and Junos OS Evolved: Receipt of a specific malformed BGP update causes the session to reset

Assignerjuniper
Reserved2024-06-25
Published2024-07-10
Updated2024-07-12

Description

An Improper Handling of Exceptional Conditions vulnerability in the Routing Protocol Daemon (RPD) of Juniper Networks Junos OS and Junos OS Evolved allows an attacker sending a specific malformed BGP update message to cause the session to reset, resulting in a Denial of Service (DoS). Continued receipt and processing of these malformed BGP update messages will create a sustained Denial of Service (DoS) condition. Upon receipt of a BGP update message over an established BGP session containing a specifically malformed tunnel encapsulation attribute, when segment routing is enabled, internal processing of the malformed attributes within the update results in improper parsing of remaining attributes, leading to session reset: BGP SEND Notification code 3 (Update Message Error) subcode 1 (invalid attribute list) Only systems with segment routing enabled are vulnerable to this issue. This issue affects eBGP and iBGP, in both IPv4 and IPv6 implementations, and requires a remote attacker to have at least one established BGP session. This issue affects: Junos OS: * All versions before 21.4R3-S8, * from 22.2 before 22.2R3-S4, * from 22.3 before 22.3R3-S3, * from 22.4 before 22.4R3-S3, * from 23.2 before 23.2R2-S1, * from 23.4 before 23.4R1-S2, 23.4R2. Junos OS Evolved:  * All versions before 21.4R3-S8-EVO, * from 22.2-EVO before 22.2R3-S4-EVO, * from 22.3-EVO before 22.3R3-S3-EVO, * from 22.4-EVO before 22.4R3-S3-EVO, * from 23.2-EVO before 23.2R2-S1-EVO, * from 23.4-EVO before 23.4R1-S2-EVO, 23.4R2-EVO.



HIGH: 7.5CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
HIGH: 8.7CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:N/VI:N/VA:H/SC:N/SI:N/SA:L/R:A

Problem types

CWE-755 Improper Handling of Exceptional Conditions

Product status

Default status
unaffected

Any version before 21.4R3-S8
affected

22.2 before 22.2R3-S4
affected

22.3 before 22.3R3-S3
affected

22.4 before 22.4R3-S3
affected

23.2 before 23.2R2-S1
affected

23.4 before 23.4R1-S2, 23.4R2
affected

Default status
unaffected

Any version before 21.4R3-S8-EVO
affected

22.2-EVO before 22.2R3-S4-EVO
affected

22.3-EVO before 22.3R3-S3-EVO
affected

22.4-EVO before 22.4R3-S3-EVO
affected

23.2-EVO before 23.2R2-S1-EVO
affected

23.4-EVO before 23.4R1-S2-EVO, 23.4R2-EVO
affected

References

https://supportportal.juniper.net/JSA83015 vendor-advisory

cve.org CVE-2024-39555

nvd.nist.gov CVE-2024-39555

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-39555
© Copyright 2024 THREATINT. Made in Cyprus with +